roar_vs_noop(3)

NAME
roar_vs_noop - Send NOOP command to server

SYNOPSIS

#include <roaraudio.h>

int roar_vs_noop(roar_vs_t * vss, int * error);

DESCRIPTION
This function sends a NOOP command to the server. This is useful to ping the server or to be used as keep-alive.

This function may be implemented as a macro.

PARAMETERS

vss The VS object to be used as server connection.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).